## imcode.server.user
Class PhoneNumber

    java.lang.Object
      imcode.server.user.PhoneNumber

All Implemented Interfaces:
  java.io.Serializable

    public class PhoneNumber

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`PhoneNumber(java.lang.String number, PhoneNumberType type)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getNumber()`
`PhoneNumberType` `getType()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PhoneNumber

    public PhoneNumber(java.lang.String number,
                       PhoneNumberType type)

Method Detail

### getNumber

    public java.lang.String getNumber()

### getType

    public PhoneNumberType getType()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`